
TYPO3.Flow - Task # 497

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Utility
Created: 2008-05-09 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Remove createDirectoryRecursively() and replace by recursive mkdir() call
Description

createDirectoryRecursively() in F3_FLOW3_Utility_Files can be removed, as PHP since 5.0.0 supports creating directories recursively
with mkdir() through a simple method argument:
 mkdir ( string $pathname [, int $mode [, bool $recursive ]] )

Related issues:
related to TYPO3.Flow - Bug # 491: FLOW3 not working under Windows Resolved 2008-05-08

Associated revisions
Revision 524c55fd - 2008-05-09 18:08 - Karsten Dambekalns

Simplified createDirectoryRecursively() in F3_FLOW3_Utility_Files, fixes #497.

History
#1 - 2008-05-09 18:01 - Karsten Dambekalns

Removing this is not a good idea, as we currently have control over the umask/mode when creating the directories, we need to keep this. Thus it
seems better to keep the method but simplify it's internals to just use native PHP support for recursion.

#2 - 2008-05-09 18:08 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r822.
